# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewInterpolator

Function

Creates an Interpolator Object for interpolating in Object `o`.

Syntax
`
#include <dx/dx.h>
`

Interpolator DXNewInterpolator(Object o, enum interp_init init, float fuzz)

Functional Details

Object `o` should be a Field or an Object that contains Fields (e.g., a Group). An Interpolator builds and stores the information about the Field or Fields to speed up searching for and computing data values corresponding to any location enclosed by the positions of the Object. This is particularly useful with irregular meshes.

The initialization type is specified by setting the `init` argument to `INTERP_INIT_DELAY`, `INTERP_INIT_IMMEDIATE` or `INTERP_INIT_PARALLEL`. `INTERP_INIT_DELAY` does not initialize the Interpolator until the information is actually needed. This is fastest if a small number of points will be interpolated. `INTERP_INIT_IMMEDIATE` does all initialization before returning. `INTERP_INIT_PARALLEL` does all initialization in parallel if running in a multiprocessor machine before returning.

The `fuzz` value assigns a fuzz factor to the interpolation process: any sample falling within this distance of a valid primitive of the Object `o` is assumed to be inside that primitive. When this point lies geometrically outside the primitive, an appropriate result is extrapolated. Any positive or zero value is used as the fuzz factor; a negative value indicates that the interpolator should determine its own fuzz factor.

Interpolators can be used with the `DXMap` call. See DXMap for additional details.

The interpolator created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Interpolator or returns `NULL` and sets an error code.

See Also

`DXInterpolate, DXMap, DXMapArray`

14.2 , "Interpolation and Mapping".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]